Page MenuHomePhabricator

[ASTMatchers] add a matcher for static locals
ClosedPublic

Authored by jranieri-grammatech on Oct 26 2018, 3:20 PM.

Details

Summary

This adds a matcher, isStaticLocal, that matches local static variables (i.e. VarDecl::isStaticLocal).

Diff Detail

Repository
rC Clang

Event Timeline

aaron.ballman accepted this revision.Oct 27 2018, 8:47 AM

LGTM! Do you need someone to commit on your behalf?

This revision is now accepted and ready to land.Oct 27 2018, 8:47 AM
aaron.ballman closed this revision.Oct 29 2018, 6:50 AM

Committed in r345502, thank you for the patch!